Downgrade from version 3.4.0 to 3.3.0

Infos:

  • Used Zammad version: 3.3.0
  • Used Zammad installation source: Docker
  • Operating system: Debian
  • Browser + version: -

Expected behavior:

  • no problems

Actual behavior:

  • We had some problems since the Upgrade to 3.4.0 so I wanted to perform a downgrade back to 3.3.0 in our test system.
    Now there is a problem with the imap fetch:

          uninitialized constant Channel::Filter::SecureMailing
    

Steps to reproduce the behavior:

  • Downgrade from version 3.4.0 to 3.3.0

Downgrades are not supported.
You will have to undo database migrations and manually redo them on an upgrade.

Sorry but that’s out of scope.